<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/statistic.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">statistic.cpp File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="statistic_8h_source.html">statistic.h</a>&quot;</code><br />
<code>#include &quot;qdebug.h&quot;</code><br />
<code>#include &lt;map&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for statistic.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="statistic_8cpp__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2statistic_8cpp" alt=""/></div>
<map name="aalat_za_analitiku_2src_2statistic_8cpp" id="aalat_za_analitiku_2src_2statistic_8cpp">
<area shape="rect" title=" " alt="" coords="184,5,312,48"/>
<area shape="rect" href="statistic_8h.html" title=" " alt="" coords="94,96,173,123"/>
<area shape="poly" title=" " alt="" coords="220,51,165,89,162,85,217,46"/>
<area shape="rect" title=" " alt="" coords="189,171,235,197"/>
<area shape="poly" title=" " alt="" coords="246,49,221,156,216,155,241,48"/>
<area shape="rect" title=" " alt="" coords="248,96,323,123"/>
<area shape="poly" title=" " alt="" coords="260,47,275,81,271,83,255,50"/>
<area shape="rect" title=" " alt="" coords="347,96,421,123"/>
<area shape="poly" title=" " alt="" coords="284,46,351,85,348,90,282,51"/>
<area shape="rect" title=" " alt="" coords="5,171,75,197"/>
<area shape="poly" title=" " alt="" coords="119,125,70,163,66,159,115,121"/>
<area shape="rect" title=" " alt="" coords="99,171,165,197"/>
<area shape="poly" title=" " alt="" coords="136,123,135,155,130,155,130,123"/>
<area shape="poly" title=" " alt="" coords="149,121,189,158,185,162,145,125"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:adce580c853293f90d86e81e00490b8c1" id="r_adce580c853293f90d86e81e00490b8c1"><td class="memItemLeft" align="right" valign="top">QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#adce580c853293f90d86e81e00490b8c1">toDoubleVector</a> (const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;data)</td></tr>
<tr class="separator:adce580c853293f90d86e81e00490b8c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a8f743cbb4b1e4b2e23ab40712b8fae0b" id="r_a8f743cbb4b1e4b2e23ab40712b8fae0b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8f743cbb4b1e4b2e23ab40712b8fae0b">TMP_SIZE</a> = 0</td></tr>
<tr class="separator:a8f743cbb4b1e4b2e23ab40712b8fae0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="adce580c853293f90d86e81e00490b8c1" name="adce580c853293f90d86e81e00490b8c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adce580c853293f90d86e81e00490b8c1">&#9670;&#160;</a></span>toDoubleVector()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt; double &gt; toDoubleVector </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; <a class="el" href="statistic_8h.html#a214fdb3139eac313ba63439e827a48be">T</a> &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>data</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a8f743cbb4b1e4b2e23ab40712b8fae0b" name="a8f743cbb4b1e4b2e23ab40712b8fae0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f743cbb4b1e4b2e23ab40712b8fae0b">&#9670;&#160;</a></span>TMP_SIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int TMP_SIZE = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
